
TYPO3.Fluid - Feature # 32930

Status: Resolved Priority: Must have
Author: Fernando Arconada Category: View
Created: 2012-01-02 Assigned To: Sebastian Kurfuerst
Updated: 2012-01-29 Due date:
Has patch: No
Subject: Create a Standalone View
Description

Fluid need a Standalone Template to be able to render emails for example. Consider that template rendering could be done inside
aspects and services where there is no ControllerContext, Request, Response...

Associated revisions
Revision 9897a1ac - 2012-01-29 17:53 - Sebastian Kurfuerst

[FEATURE] (View): Implement StandaloneView

This view can be used to render E-Mails or other things outside a controller
scope.

It is mostly forward-ported from TYPO3 v4, just with Functional Tests added.

Resolves: #32930
Releases: 1.1
Change-Id: I43745cff807a9d3e8fcdd61eef00fa365b35d1d1

History
#1 - 2012-01-20 12:11 - Sebastian Kurfuerst
- Subject changed from Standalone Template to Create a Standalone View

[I updated the title of the issue to better reflect the feature]

#2 - 2012-01-20 12:12 - Sebastian Kurfuerst
- Category set to View
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- Target version set to 1.1

#3 - 2012-01-20 12:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7862

#4 - 2012-01-24 20:08 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7862

#5 - 2012-01-27 11:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7862

#6 - 2012-01-29 17:54 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7862

#7 - 2012-01-29 19:34 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
